#!/usr/bin/env python3

import logging
from datetime import timedelta
from importlib.resources import files

from click import group

from flask import (
    Blueprint,
    current_app,
    request,
    Request,
    redirect,
    render_template,
    session,
    url_for,
    flash,
)

log = logging.getLogger(__name__)


def is_logged_in(request: Request) -> bool:
    return request.uid is not None


def salt(password: str) -> str:
    return "$SALT$" + current_app.config["SECRET_KEY"] + password
